Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05711 Graphics Minor Always Oct 9, 2014, 19:21 Jul 15, 2015, 21:50
Tester demotester View Status Public Platform MESS (Official Binary)
Assigned To wilbert Resolution Fixed OS Windows XP
Status [?] Resolved Driver msx.cpp
Version 0.154 Fixed in Version 0.164 Build Normal
Summary MESS-specific 05711: cf3300, expertdp, svi738 (and possibly all MSX and MSX2): [possible] The MSX demo "Riyadh by Bandwagon" does not works properly.
Description The MSX demo "Riyadh by Bandwagon" does not works properly in MESS emulation;

the 1st and the last part of demo looks different than is shown on the picture (see attached picture and picture on below link):

http://www.pouet.net/prod.php?which=7662


Note: On other emus (blueMSX 2.8.2, openmsx-0.10.1, fsmx40) it looks same as shown on above link picture.
Steps To Reproduce
Additional Information On above pouet link the last post (the post from 2014-06-23 19:57:45 by mermaid) said following:

quote: "Nice demo, but neither the first nor the last screen works properly on my Sony Hit Bit 75P MSX1."


According to above it might happen that it does not works "properly" on a real MSX (should be checked) !!!
Flags Possible
Regression Version
Affected Sets / Systems cf3300, expertdp, svi738 (and possibly all MSX and MSX2)
Attached Files
png file icon cf3300_start-of-demo.png (2,278 bytes) Oct 9, 2014, 19:21 Uploaded by demotester
demotester
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.11030
NekoEd
Senior Tester
Oct 10, 2014, 03:55
Downgraded to minor; emulator nor emulated programs crash, only minor graphics issues exist.
User avatar
No.11070
hap
Developer
Oct 14, 2014, 23:51
I haven't tried it on MESS, but I can tell you that on a real environment:
- it should work fine on MSX2
- it should also look fine on MSX1 with TMS91xx
- it shows this glitch on MSX1 with TMS99xx
User avatar
No.11874
wilbert
Developer
Jul 15, 2015, 21:50
The MSX1 machines where the exact VDP model is known the VDP model has been changed in the source code. On the machines that have a TMS91xx VDP the graphics issues are no longer happening; machines that have a tms99xx VDP will display the bug.

The v9938 has been updated to use tms91xx behaviour for the pattern mask so it is also fixed for all msx2 computers.